LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Friends | List of all members
salhelper::Condition Class Referenceabstract

`#include <condition.hxx>`

## Public Member Functions
| Condition (osl::Mutex &aMutex)
virtual | ~Condition ()

## Protected Member Functions
virtual bool | applies () const =0

## Friends
class | ConditionModifier
class | ConditionWaiter

## Constructor & Destructor Documentation

salhelper::Condition::Condition | ( | osl::Mutex & | aMutex | ) |

virtual salhelper::Condition::~Condition | ( |  | ) |
| virtual

## Member Function Documentation

virtual bool salhelper::Condition::applies | ( |  | ) | const
| protected pure virtual

## Friends And Related Function Documentation

friend class ConditionModifier
| friend

friend class ConditionWaiter
| friend

The documentation for this class was generated from the following file:

- salhelper/condition.hxx